part of 'calculator_bloc.dart';

sealed class CalculatorEvent extends Equatable {
  const CalculatorEvent();
}

final class WeightSizeEnterEvent extends CalculatorEvent {
  final String weight;
  final String size;

  const WeightSizeEnterEvent({required this.weight, required this.size});

  @override
  List<Object?> get props => [weight, size];
}

final class WareHouseSelectEvent extends CalculatorEvent {
  final String wareHouse;

  const WareHouseSelectEvent({required this.wareHouse});

  @override
  List<Object?> get props => [wareHouse];
}

final class CalculateEvent extends CalculatorEvent {
  const CalculateEvent({required this.productName});

  final String productName;

  @override
  List<Object?> get props => [productName];
}
